Loading...
Searching...
No Matches
L4::Types::Flags_ops_t< DT > Struct Template Reference

Mixin class to define a set of friend bitwise operators on DT. More...

`#include <types>`

Inheritance diagram for L4::Types::Flags_ops_t< DT >:
Collaboration diagram for L4::Types::Flags_ops_t< DT >:

## Public Member Functions

DT | operator|= (DT r)
| bitwise or assignment for DT
DT | operator&= (DT r)
| bitwise and assignment for DT
constexpr | operator bool () const
| explicit conversion to bool for tests
constexpr DT | operator~ () const
| bitwise negation for DT

## Friends

constexpr DT | operator| (DT l, DT r)
| bitwise or for DT
constexpr DT | operator& (DT l, DT r)
| bitwise and for DT
constexpr bool | operator== (DT l, DT r)
| equality for DT
constexpr bool | operator!= (DT l, DT r)
| inequality for DT

## Detailed Description

template<typename DT>
struct L4::Types::Flags_ops_t< DT >

Mixin class to define a set of friend bitwise operators on DT.

Template Parameters

  DT | The type usually inheriting from Flags_ops_t with a member raw of enum or integral type.

Definition at line 220 of file types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/types